Subject: [Fot] Variations in Spitfire Transmission tailpieces?

From: James Trudeau via Fot <[email-masked]>
Date: Sun, 5 May 2024 17:15:51 -0400

Last fall, the transmission tailpiece on former Russ More race Spitfire cracked at a Thompson. 

I put in a spare from parts Russ had provided with the car, and that one cracked after the first session this weekend at VSCCA Lime Rock! I had a spare “eBay” tailpiece that I started to install, only to discover that the bearing seat was not the same as the original or replacement!

The eBay tailpiece has a step that would have prevented the equal diameter (2”) bearing and thick oil seal from seating fully into the recess. Since I bought the bearing and seal from Moss Motors, I assume it was for a standard 63 Spitfire. 

I now see a “DD3” stamped on the opposite side from the “303546” on the tailpiece. Since most of the online sources list the “DD2” version, I assume that has the step. 

- Do I have a GT6 tailpiece?

- Are there different versions / eras of the Spitfire tailpiece?

- I assume mine wasn’t reamed deeper - which is what I crudely did with a dremel at the track to get the bearing to fit!

Anyone have sources for these DD3 tailpieces?

Thanks,

Jim

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]